NovaDB Index API
Comment Index
CommentIndex_CommentCount
Get the number of comments that match a search filter
Request
POST /branches/{branch}/commentCount
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
CommentIndex_CommentOccurrences
Get occurrences of fields of comments that match a (possible empty) search filter
Request
POST /branches/{branch}/commentOccurrences
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
CommentIndex_CommentSearch
Search for comments
Request
POST /branches/{branch}/comments
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
Object Index
ObjectIndex_ObjectCount
Get the number of objects that match a search filter
Request
POST /branches/{branch}/objectCount
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
ObjectIndex_ObjectOccurrences
Get occurrences of fields of objects that match a search filter
Request
POST /branches/{branch}/objectOccurrences
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
ObjectIndex_WorkItemOccurrences
Get work item occurrences per branch
Request
POST /workItemOccurrences
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
ObjectIndex_ObjectSearch
Search for objects
Request
POST /branches/{branch}/objects
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
ObjectIndex_ObjectXmlLinkCount
Get the number of objects with XML values that contain links to one of the objects requested.
Request
POST /branches/{branch}/objectXmlLinkCount
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |
ObjectIndex_Suggestions
Get a list of suggestions for a search pattern that may be used for type-ahead
Request
POST /branches/{branch}/suggestions
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | integer (int32) | The branch ID or ApiIdentifier |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | Bad request parameter |
Utilities
Utility_MatchStrings
Get the number of objects that match a search filter
Request
POST /utilities/matchStrings
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | The request is invalid |